## org.eclipse.ocl.expressions.operations
Class VariableOperations

    java.lang.Object
      org.eclipse.ocl.expressions.operations.VariableOperations

    public class VariableOperations

extends Object

A static utility class that provides operations related to 'Variable' model objects.

The following operations are supported:

- `Get Name`
- `Get Type`
- `Set Name`
- `Set Type`
- `Accept`
- `Check Init Type`

Constructor Summary
`protected` `VariableOperations()`

Method Summary

`static

`<C,PM,T,U extends Visitor<T,?,?,?,?,?,?,?,?,?>> T`

`

`accept(Variable<C,PM> variable, U v)`

`static

`<C,PM> boolean`

`

`checkInitType(Variable<C,PM> variable, DiagnosticChain diagnostics, Map<Object,Object> context)`
initExpression->notEmpty() implies initExpression.type.conformsTo (type)

`static

`<C,PM> String`

`

`getName(Variable<C,PM> variable)`

`static

`<C,PM> C`

`

`getType(Variable<C,PM> variable)`

`static

`<C,PM> void`

`

`setName(Variable<C,PM> variable, String name)`

`static

`<C,PM> void`

`

`setType(Variable<C,PM> variable, C type)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### VariableOperations

    protected VariableOperations()

Method Detail

### getName

    public static <C,PM> String getName(Variable<C,PM> variable)

  Since:
    1.3

### getType

    public static <C,PM> C getType(Variable<C,PM> variable)

  Since:
    1.3

### setName

    public static <C,PM> void setName(Variable<C,PM> variable,
                                      String name)

  Since:
    1.3

### setType

    public static <C,PM> void setType(Variable<C,PM> variable,
                                      C type)

  Since:
    1.3

### accept

    public static <C,PM,T,U extends Visitor<T,?,?,?,?,?,?,?,?,?>> T accept(Variable<C,PM> variable,
                                                                           U v)

  Since:
    1.3

### checkInitType

    public static <C,PM> boolean checkInitType(Variable<C,PM> variable,
                                               DiagnosticChain diagnostics,
                                               Map<Object,Object> context)

  initExpression->notEmpty() implies initExpression.type.conformsTo (type)

  Parameters:
    `variable` - The receiving 'Variable' model object.
    `diagnostics` - The chain of diagnostics to which problems are to be appended.
    `context` - The cache of context-specific information.

Copyright 2002, 2007 IBM Corporation and others. All Rights Reserved.